FQDN / hostname recorded in OVSDB is unreliable

Bug #1915829 reported by Frode Nordahl on 2021-02-16
18
This bug affects 2 people
Affects Status Importance Assigned to Milestone
Ubuntu Cloud Archive
High
Unassigned
Ussuri
High
Unassigned
Victoria
High
Unassigned
Wallaby
High
Unassigned
openvswitch (Ubuntu)
High
Frode Nordahl
Focal
High
Frode Nordahl
Groovy
High
Frode Nordahl
Hirsute
High
Frode Nordahl

Bug Description

[ Impact ]

The Open vSwitch init script `ovs-ctl` determines the system hostname and records it in the `external-ids:hostname` field of the `Open-vSwitch` table in the local OVSDB.

This value may be consumed by downstream software and having it unset or set to a incorrect value could lead to erratic behavior of a system.

In recent Ubuntu development we have also made it possible to configure Open vSwitch with netplan.io, which allows for a Open vSwitch controlled data path to be the only external network connection on a system.

As such the current startup sequence of Open vSwitch is insufficient to allow for reliable recording of FQDN / hostname at system boot-up time.

Examples of downstream issues can be viewed in bug 1896630 and bug 1912844 comment #26.

[ Test Case ]

1) Deploy bundle on metal:

series: focal
machines:
  '0':
    constraints: cores=48
relations:
 - - octavia:ovsdb-subordinate
   - ovn-chassis:ovsdb-subordinate
applications:
  ovn-chassis:
    charm: cs:ovn-chassis
    bindings:
      "": public-space
  octavia:
    charm: cs:octavia
    options:
      openstack-origin: distro
    num_units: 1
    to:
    - 'lxd:0'
    bindings:
      "": public-space

2) juju run --unit ovn-chassis/0 'ovs-vsctl remove open-vswitch . external-ids hostname'
3) juju run --unit ovn-chassis/0 'sudo shutdown -r now'
4) Observe external-ids:hostname being recorded as a shortname
5) Add proposed and install openvswitch packages, repeat step 2-3
6) Observe external-ids:hostname being recorded as a FQDN

[ Regression potential ]

Minimal, the update uses the exact same methods to accomplish the end result of recording the hostname as before, we have only re-ordered when the events occur to ensure successful operation.

[racb] A new service is added in packaging. Users who have overridden existing services to change behaviour (eg. "disable all OVS-related services") may have that configuration not have the same effect after this update (eg. "I thought I disabled all OVS-related services but what's this ovs-record-hostname thing now?")

[ Other Info ]

A possible solution to this would be to extend the upstream `ovs-ctl` script to allow controlling when the hostname is recorded and adding a new Systemd service file to the package that calls the `record-hostname` function at a more appropriate time, i.e. after or as part of the `network-online.target`.

An example of downstream issues can be viewed in bug 1896630.

Related branches

Frode Nordahl (fnordahl) on 2021-02-16
Changed in openvswitch (Ubuntu):
assignee: nobody → Frode Nordahl (fnordahl)
status: New → Triaged
status: Triaged → In Progress
importance: Undecided → High
Frode Nordahl (fnordahl) on 2021-02-16
description: updated
Revision history for this message
Frode Nordahl (fnordahl) wrote :

http://patchwork<email address hidden>/

Frode Nordahl (fnordahl) on 2021-03-05
Changed in openvswitch (Ubuntu):
status: In Progress → Fix Committed
Changed in openvswitch (Ubuntu Groovy):
importance: Undecided → High
Changed in openvswitch (Ubuntu Focal):
importance: Undecided → High
Changed in openvswitch (Ubuntu Groovy):
status: New → Triaged
Changed in openvswitch (Ubuntu Focal):
status: New → Triaged
Changed in openvswitch (Ubuntu Groovy):
assignee: nobody → Frode Nordahl (fnordahl)
Changed in openvswitch (Ubuntu Focal):
assignee: nobody → Frode Nordahl (fnordahl)
Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package openvswitch - 2.15.0-0ubuntu2

---------------
openvswitch (2.15.0-0ubuntu2) hirsute; urgency=medium

  * Fix recording of FQDN/hostname on startup (LP: #1915829):
    - d/p/ovs-dev-ovs-ctl-Allow-recording-hostname-separately.patch: Cherry
      pick of committed upstream fix to support skip of hostname
      configuration on ovs-vswitchd/ovsdb-server startup.
    - d/openvswitch-switch.ovs-record-hostname.service: Record hostname in
      Open vSwitch after network-online.target using new systemd unit.
    - d/openvswitch-switch.ovs-vswitchd.service: Pass `--no-record-hostname`
      option to `ovs-ctl` to delegate recording of hostname to the separate
      service.
    - d/openvswitch-switch.ovsdb-server.service: Pass `--no-record-hostname`
      option to `ovs-ctl` to delegate recording of hostname to the separate
      service.
    - d/openvswitch-switch.service: Add `Also` reference to
      ovs-record-hostname.service so that the service is enabled on install.
    - d/rules: Add `ovs-record-hostname.service` to package build.

 -- Frode Nordahl <email address hidden> Tue, 16 Feb 2021 18:42:00 +0100

Changed in openvswitch (Ubuntu Hirsute):
status: Fix Committed → Fix Released
Frode Nordahl (fnordahl) on 2021-03-17
description: updated
Revision history for this message
Corey Bryant (corey.bryant) wrote :

This bug was fixed in the package openvswitch - 2.15.0-0ubuntu2~cloud0
---------------

 openvswitch (2.15.0-0ubuntu2~cloud0) focal-wallaby; urgency=medium
 .
   * New update for the Ubuntu Cloud Archive.
 .
 openvswitch (2.15.0-0ubuntu2) hirsute; urgency=medium
 .
   * Fix recording of FQDN/hostname on startup (LP: #1915829):
     - d/p/ovs-dev-ovs-ctl-Allow-recording-hostname-separately.patch: Cherry
       pick of committed upstream fix to support skip of hostname
       configuration on ovs-vswitchd/ovsdb-server startup.
     - d/openvswitch-switch.ovs-record-hostname.service: Record hostname in
       Open vSwitch after network-online.target using new systemd unit.
     - d/openvswitch-switch.ovs-vswitchd.service: Pass `--no-record-hostname`
       option to `ovs-ctl` to delegate recording of hostname to the separate
       service.
     - d/openvswitch-switch.ovsdb-server.service: Pass `--no-record-hostname`
       option to `ovs-ctl` to delegate recording of hostname to the separate
       service.
     - d/openvswitch-switch.service: Add `Also` reference to
       ovs-record-hostname.service so that the service is enabled on install.
     - d/rules: Add `ovs-record-hostname.service` to package build.
 .
 openvswitch (2.15.0-0ubuntu1) hirsute; urgency=medium
 .
   * New upstream release 2.15
 .
 openvswitch (2.15.0~git20210104.def6eb1ea-0ubuntu3) hirsute; urgency=medium
 .
   * d/openvswitch-switch.ovsdb-server.service: avoid removing the state
     dir on restart (LP: #1910209)
 .
 openvswitch (2.15.0~git20210104.def6eb1ea-0ubuntu2) hirsute; urgency=medium
 .
   * d/rules: Re-align expected test failure with test numbering on
     armhf.
 .
 openvswitch (2.15.0~git20210104.def6eb1ea-0ubuntu1) hirsute; urgency=medium
 .
   * New upstream snapshot in preparation for 2.15.0 release.
   * d/p/*: Refresh
   * d/control: Bump minimum libdpdk-dev version to 20.11.
   * d/control: Add BD on libdbus-1-dev for pcap architectures.
   * d/rules: Set DPDK build to use shared libraries.
 .
 openvswitch (2.14.0-0ubuntu2) hirsute; urgency=medium
 .
   * d/openvswitch-switch.ovs*.service: Update ovs-vswitchd and ovsdb-server
     systemd unit files to use the correct environment file and environment
     variable for ovs-ctl options, /etc/default/openvswitch-switch and
     OVS_CTL_OPTS, respectively (LP: #1906280).
 .
 openvswitch (2.14.0-0ubuntu1) hirsute; urgency=medium
 .
   * New upstream release.
   * d/p/*: Refresh.
 .
 openvswitch (2.13.1-0ubuntu1) groovy; urgency=medium
 .
   [ Chris MacNaughton ]
   * d/openvswitch-switch.ovsdb-server.service: Add local-fs.target to
     systemd service file to ensure that local filesystems are ready
     before the ovsdb service tries to start (LP: #1887177).
   * d/control: Remove Breaks/Replaces that are older than Focal (LP: #1878419).
 .
   [ James Page ]
   * New upstream point release.
   * d/p/py3-compat.patch: Refresh.

Revision history for this message
Dmitrii Shcherbakov (dmitriis) wrote :
Changed in openvswitch (Ubuntu Focal):
status: Triaged → Fix Committed
Changed in openvswitch (Ubuntu Groovy):
status: Triaged → Fix Committed
James Page (james-page) on 2021-04-07
Changed in openvswitch (Ubuntu Focal):
status: Fix Committed → In Progress
Changed in openvswitch (Ubuntu Groovy):
status: Fix Committed → In Progress
Robie Basak (racb) on 2021-04-09
description: updated
Revision history for this message
Robie Basak (racb) wrote : Please test proposed package

Hello Frode, or anyone else affected,

Accepted openvswitch into groovy-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/openvswitch/2.13.3-0ubuntu0.20.10.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, what testing has been performed on the package and change the tag from verification-needed-groovy to verification-done-groovy. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-groovy. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in openvswitch (Ubuntu Groovy):
status: In Progress → Fix Committed
tags: added: verification-needed verification-needed-groovy
Changed in openvswitch (Ubuntu Focal):
status: In Progress → Fix Committed
tags: added: verification-needed-focal
Revision history for this message
Robie Basak (racb) wrote :

Hello Frode, or anyone else affected,

Accepted openvswitch into focal-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/openvswitch/2.13.3-0ubuntu0.20.04.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, what testing has been performed on the package and change the tag from verification-needed-focal to verification-done-focal. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-focal. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Revision history for this message
Ubuntu SRU Bot (ubuntu-sru-bot) wrote : Autopkgtest regression report (openvswitch/2.13.3-0ubuntu0.20.10.1)

All autopkgtests for the newly accepted openvswitch (2.13.3-0ubuntu0.20.10.1) for groovy have finished running.
The following regressions have been reported in tests triggered by the package:

netplan.io/0.101-0ubuntu3~20.10.1 (amd64, ppc64el)

Please visit the excuses page listed below and investigate the failures, proceeding afterwards as per the StableReleaseUpdates policy regarding autopkgtest regressions [1].

https://people.canonical.com/~ubuntu-archive/proposed-migration/groovy/update_excuses.html#openvswitch

[1] https://wiki.ubuntu.com/StableReleaseUpdates#Autopkgtest_Regressions

Thank you!

Revision history for this message
Ubuntu SRU Bot (ubuntu-sru-bot) wrote : Autopkgtest regression report (openvswitch/2.13.3-0ubuntu0.20.04.1)

All autopkgtests for the newly accepted openvswitch (2.13.3-0ubuntu0.20.04.1) for focal have finished running.
The following regressions have been reported in tests triggered by the package:

netplan.io/0.101-0ubuntu3~20.04.2 (amd64)

Please visit the excuses page listed below and investigate the failures, proceeding afterwards as per the StableReleaseUpdates policy regarding autopkgtest regressions [1].

https://people.canonical.com/~ubuntu-archive/proposed-migration/focal/update_excuses.html#openvswitch

[1] https://wiki.ubuntu.com/StableReleaseUpdates#Autopkgtest_Regressions

Thank you!

Revision history for this message
James Page (james-page) wrote : Please test proposed package

Hello Frode, or anyone else affected,

Accepted openvswitch into ussuri-proposed. The package will build now and be available in the Ubuntu Cloud Archive in a few hours, and then in the -proposed repository.

Please help us by testing this new package. To enable the -proposed repository:

  sudo add-apt-repository cloud-archive:ussuri-proposed
  sudo apt-get update

Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-ussuri-needed to verification-ussuri-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-ussuri-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

tags: added: verification-ussuri-needed
Revision history for this message
James Page (james-page) wrote :

I checked on the autopkgtest failures reported for focal and groovy - the failing test is related to general netplan.io linux bond testing and is unrelated to the OVS support in netplan.io.

Revision history for this message
Frode Nordahl (fnordahl) wrote :

$ juju run --unit ovn-chassis/0 'ovs-vsctl remove open-vswitch . external-ids hostname'
$ juju run --unit ovn-chassis/0 'sudo shutdown -r now'
$ sudo ovs-vsctl list open-vswitch
...
external_ids : {hostname=juju-d4e71d-0-lxd-0, rundir="/var/run/openvswitch", system-id="424e6f88-2e79-436f-99a8-d9e4dccf3c55"}
$ hostname -f
juju-d4e71d-0-lxd-0.maas
# sudo apt install openvswitch-common openvswitch-switch python3-openvswitch
Reading package lists... Done
Building dependency tree
Reading state information... Done
Suggested packages:
  openvswitch-doc
The following packages will be upgraded:
  openvswitch-common openvswitch-switch python3-openvswitch
3 upgraded, 0 newly installed, 0 to remove and 21 not upgraded.
Need to get 2783 kB of archives.
After this operation, 28.7 kB of additional disk space will be used.
Get:1 http://archive.ubuntu.com/ubuntu focal-proposed/main amd64 python3-openvswitch all 2.13.3-0ubuntu0.20.04.1 [94.8 kB]
Get:2 http://archive.ubuntu.com/ubuntu focal-proposed/main amd64 openvswitch-common amd64 2.13.3-0ubuntu0.20.04.1 [1152 kB]
Get:3 http://archive.ubuntu.com/ubuntu focal-proposed/main amd64 openvswitch-switch amd64 2.13.3-0ubuntu0.20.04.1 [1536 kB]
Fetched 2783 kB in 1s (1986 kB/s)
(Reading database ... 53438 files and directories currently installed.)
Preparing to unpack .../python3-openvswitch_2.13.3-0ubuntu0.20.04.1_all.deb ...
Unpacking python3-openvswitch (2.13.3-0ubuntu0.20.04.1) over (2.13.1-0ubuntu0.20
.04.4) ...
Preparing to unpack .../openvswitch-common_2.13.3-0ubuntu0.20.04.1_amd64.deb ...
Unpacking openvswitch-common (2.13.3-0ubuntu0.20.04.1) over (2.13.1-0ubuntu0.20.
04.4) ...
Preparing to unpack .../openvswitch-switch_2.13.3-0ubuntu0.20.04.1_amd64.deb ...
Unpacking openvswitch-switch (2.13.3-0ubuntu0.20.04.1) over (2.13.1-0ubuntu0.20.
04.4) ...
Setting up python3-openvswitch (2.13.3-0ubuntu0.20.04.1) ...
Setting up openvswitch-common (2.13.3-0ubuntu0.20.04.1) ...
Setting up openvswitch-switch (2.13.3-0ubuntu0.20.04.1) ...
Processing triggers for man-db (2.9.1-1) ...
Processing triggers for systemd (245.4-4ubuntu3.6) ...
$ juju run --unit ovn-chassis/0 'ovs-vsctl remove open-vswitch . external-ids hostname'
$ juju run --unit ovn-chassis/0 'sudo shutdown -r now'
$ sudo ovs-vsctl list open-vswitch
...
external_ids : {hostname=juju-d4e71d-0-lxd-0.maas, rundir="/var/run/openvswitch", system-id="424e6f88-2e79-436f-99a8-d9e4dccf3c55"}

description: updated
tags: added: verification-done-focal
removed: verification-needed-focal
Revision history for this message
Łukasz Zemczak (sil2100) wrote :

Hello! Could we get this verified for groovy? Thanks!

Revision history for this message
James Page (james-page) wrote :

$ sudo ovs-vsctl remove open-vswitch . external-ids hostname

$ sudo ovs-vsctl remove open-vswitch . external-ids hostname

$ sudo ovs-vsctl list open-vswitch
_uuid : c81d24ea-3ca1-4064-8e67-b91ac6ca801b
bridges : [1c3c998d-7158-46b0-bea3-04f94d474ed0, 6d4fa31d-07a6-4ca7-b9b9-7ca0adefd8d3]
cur_cfg : 21
datapath_types : [netdev, system]
datapaths : {}
db_version : "8.2.0"
dpdk_initialized : false
dpdk_version : none
external_ids : {hostname=juju-9060b4-zaza-f9005861d6e6-23.project.serverstack, ovn-bridge-mappings="physnet1:br-ex", ovn-cms-options=enable-chassis-as-gw, ovn-encap-ip="10.5.0.32", ovn-encap-type=geneve, ovn-remote="ssl:10.5.0.35:6642,ssl:10.5.0.38:6642,ssl:10.5.0.9:6642", rundir="/var/run/openvswitch", system-id=juju-9060b4-zaza-f9005861d6e6-23.project.serverstack}
iface_types : [erspan, geneve, gre, internal, ip6erspan, ip6gre, lisp, patch, stt, system, tap, vxlan]
manager_options : [a1ec106e-50fb-4238-bc74-880353c222ff]
next_cfg : 21
other_config : {}
ovs_version : "2.13.3"
ssl : 7126380d-a763-4a03-81df-d16dfc35f513
statistics : {}
system_type : ubuntu
system_version : "20.10"

$ apt-cache policy openvswitch-switch
openvswitch-switch:
  Installed: 2.13.3-0ubuntu0.20.10.1
  Candidate: 2.13.3-0ubuntu0.20.10.1
  Version table:
 *** 2.13.3-0ubuntu0.20.10.1 500
        500 http://archive.ubuntu.com/ubuntu groovy-proposed/main amd64 Packages
        100 /var/lib/dpkg/status
     2.13.1-0ubuntu1.3 500
        500 http://nova.clouds.archive.ubuntu.com/ubuntu groovy-updates/main amd64 Packages
        500 http://security.ubuntu.com/ubuntu groovy-security/main amd64 Packages
     2.13.1-0ubuntu1 500
        500 http://nova.clouds.archive.ubuntu.com/ubuntu groovy/main amd64 Packages

tags: added: verification-done-groovy
removed: verification-needed-groovy
Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package openvswitch - 2.13.3-0ubuntu0.20.10.1

---------------
openvswitch (2.13.3-0ubuntu0.20.10.1) groovy; urgency=medium

  [ James Page ]
  * New upstream point release (LP: #1920141, LP: #1907686):
    - d/p/*: Refresh including drop of part of patch as equivalent
      changes included in point release.
    - Dropped security patches, included in release:
      + CVE-2015-8011.patch
      + CVE-2020-27827.patch
      + CVE-2020-35498.patch
  * Add BD on libdbus-1-dev to resolve linking issues for DPDK builds due
    to changes in DPDK.
  * d/control: Set minimum version of libdpdk-dev to avoid build
    failures with 19.11.6-0ubuntu0.20.10.1.

  [ Frode Nordahl ]
  * Fix recording of FQDN/hostname on startup (LP: #1915829):
    - d/p/ovs-dev-ovs-ctl-Allow-recording-hostname-separately.patch: Cherry
      pick of committed upstream fix to support skip of hostname
      configuration on ovs-vswitchd/ovsdb-server startup.
    - d/openvswitch-switch.ovs-record-hostname.service: Record hostname in
      Open vSwitch after network-online.target using new systemd unit.
    - d/openvswitch-switch.ovs-vswitchd.service: Pass `--no-record-hostname`
      option to `ovs-ctl` to delegate recording of hostname to the separate
      service.
    - d/openvswitch-switch.ovsdb-server.service: Pass `--no-record-hostname`
      option to `ovs-ctl` to delegate recording of hostname to the separate
      service.
    - d/openvswitch-switch.service: Add `Also` reference to
      ovs-record-hostname.service so that the service is enabled on install.
    - d/rules: Add `ovs-record-hostname.service` to package build.

 -- James Page <email address hidden> Wed, 24 Mar 2021 08:46:06 +0000

Changed in openvswitch (Ubuntu Groovy):
status: Fix Committed → Fix Released
Revision history for this message
Brian Murray (brian-murray) wrote : Update Released

The verification of the Stable Release Update for openvswitch has completed successfully and the package is now being released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package openvswitch - 2.13.3-0ubuntu0.20.04.1

---------------
openvswitch (2.13.3-0ubuntu0.20.04.1) focal; urgency=medium

  [ James Page ]
  * New upstream point release (LP: #1920141, LP: #1907686).
  * Dropped security patches, included in release:
    - CVE-2015-8011.patch
    - CVE-2020-27827.patch
    - CVE-2020-35498.patch
  * Add BD on libdbus-1-dev to resolve linking issues for DPDK builds due
    to changes in DPDK.
  * d/control: Set minimum version of libdpdk-dev to avoid build
    failures with 19.11.6-0ubuntu0.20.04.1.

  [ Frode Nordahl ]
  * Fix recording of FQDN/hostname on startup (LP: #1915829):
    - d/p/ovs-dev-ovs-ctl-Allow-recording-hostname-separately.patch: Cherry
      pick of committed upstream fix to support skip of hostname
      configuration on ovs-vswitchd/ovsdb-server startup.
    - d/openvswitch-switch.ovs-record-hostname.service: Record hostname in
      Open vSwitch after network-online.target using new systemd unit.
    - d/openvswitch-switch.ovs-vswitchd.service: Pass `--no-record-hostname`
      option to `ovs-ctl` to delegate recording of hostname to the separate
      service.
    - d/openvswitch-switch.ovsdb-server.service: Pass `--no-record-hostname`
      option to `ovs-ctl` to delegate recording of hostname to the separate
      service.
    - d/openvswitch-switch.service: Add `Also` reference to
      ovs-record-hostname.service so that the service is enabled on install.
    - d/rules: Add `ovs-record-hostname.service` to package build.

 -- James Page <email address hidden> Wed, 24 Mar 2021 08:46:41 +0000

Changed in openvswitch (Ubuntu Focal):
status: Fix Committed → Fix Released
Revision history for this message
Frode Nordahl (fnordahl) wrote :

$ juju run --unit ovn-chassis/0 'ovs-vsctl remove open-vswitch . external-ids hostname'
$ juju run --unit ovn-chassis/0 'sudo shutdown -r now'
$ juju run --unit ovn-chassis/0 'ovs-vsctl remove open-vswitch . external-ids hostname'
$ juju run --unit ovn-chassis/0 'sudo shutdown -r now'
$ juju run --unit ovn-chassis/0 'ovs-vsctl get open-vswitch . external-ids:hostname'
juju-a0db23-0-lxd-0.maas
$ juju run --unit ovn-chassis/0 'apt-cache policy openvswitch-switch'
openvswitch-switch:
  Installed: 2.13.3-0ubuntu0.20.04.1~cloud0
  Candidate: 2.13.3-0ubuntu0.20.04.1~cloud0
  Version table:
 *** 2.13.3-0ubuntu0.20.04.1~cloud0 500
        500 http://ubuntu-cloud.archive.canonical.com/ubuntu bionic-proposed/ussuri/main amd64 Packages
        100 /var/lib/dpkg/status
     2.9.8-0ubuntu0.18.04.2 500
        500 http://archive.ubuntu.com/ubuntu bionic-updates/main amd64 Packages
        500 http://security.ubuntu.com/ubuntu bionic-security/main amd64 Packages
     2.9.0-0ubuntu1 500
        500 http://archive.ubuntu.com/ubuntu bionic/main amd64 Packages

tags: added: verification-done verification-ussuri-done
removed: verification-needed verification-ussuri-needed
Revision history for this message
Chris MacNaughton (chris.macnaughton) wrote :

The verification of the Stable Release Update for openvswitch has completed successfully and the package has now been released to -updates. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

Revision history for this message
Chris MacNaughton (chris.macnaughton) wrote :

This bug was fixed in the package openvswitch - 2.13.3-0ubuntu0.20.04.1~cloud0
---------------

 openvswitch (2.13.3-0ubuntu0.20.04.1~cloud0) bionic-ussuri; urgency=medium
 .
   * New update for the Ubuntu Cloud Archive.
 .
 openvswitch (2.13.3-0ubuntu0.20.04.1) focal; urgency=medium
 .
   [ James Page ]
   * New upstream point release (LP: #1920141, LP: #1907686).
   * Dropped security patches, included in release:
     - CVE-2015-8011.patch
     - CVE-2020-27827.patch
     - CVE-2020-35498.patch
   * Add BD on libdbus-1-dev to resolve linking issues for DPDK builds due
     to changes in DPDK.
   * d/control: Set minimum version of libdpdk-dev to avoid build
     failures with 19.11.6-0ubuntu0.20.04.1.
 .
   [ Frode Nordahl ]
   * Fix recording of FQDN/hostname on startup (LP: #1915829):
     - d/p/ovs-dev-ovs-ctl-Allow-recording-hostname-separately.patch: Cherry
       pick of committed upstream fix to support skip of hostname
       configuration on ovs-vswitchd/ovsdb-server startup.
     - d/openvswitch-switch.ovs-record-hostname.service: Record hostname in
       Open vSwitch after network-online.target using new systemd unit.
     - d/openvswitch-switch.ovs-vswitchd.service: Pass `--no-record-hostname`
       option to `ovs-ctl` to delegate recording of hostname to the separate
       service.
     - d/openvswitch-switch.ovsdb-server.service: Pass `--no-record-hostname`
       option to `ovs-ctl` to delegate recording of hostname to the separate
       service.
     - d/openvswitch-switch.service: Add `Also` reference to
       ovs-record-hostname.service so that the service is enabled on install.
     - d/rules: Add `ovs-record-hostname.service` to package build.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers